body {
    font-family: '游ゴシック', 'Yu Gothic', sans-serif;
    background-color: #a58f6c;
    color: #333;
    /* margin: 0 auto; */
    padding: 0;
    /* display: flex; */
    /* flex-direction: column; */
    min-height: 100vh;
    min-width: 660px;
}

h1 {
    text-align: center;
    margin-top: 20px;
}

#game-rules {
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin: 0 auto; /* 水平方向の中央に配置 */
    width: 80%;
    max-width: 850px;
    min-width: 600px;
    border: 2px solid #333; /* 枠線 */
}

#game-rules ,p {
    text-align: center;
    font-size: 18px;
}

.corner-screw {
    width: 20px;
    height: 20px;
    background-color: #666;
    position: absolute;
    border-radius: 50%;
}


.top-left {
    top: 10px;
    left: 10px;
}

.top-right {
    top: 10px;
    right: 10px;
}

.bottom-left {
    bottom: 10px;
    left: 10px;
}

.bottom-right {
    bottom: 10px;
    right: 10px;
}


#outer-frame {
    background-color: #f1ddbe;
    position: relative;
    top: 40px; /* 上の余白*/ 
    left: 40px;
    right: 40px;
    bottom: 40px; /* 下の余白*/ 
    margin-bottom: 5%; /* 下の余白*/ 
    border: 5px solid #333;
    border-radius: 12px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
    height: auto; /* コンテンツに応じて高さを自動調整*/ 
    min-width: 900px;
    min-height: 600px;
    max-width: 95%;
    max-height: 3000px;
    overflow: auto;
}


#seat-selection {
    margin: 20px;
    text-align: center;
    display: flex;
    min-width: 450px;
    align-items: center;
}

button {
    display: block;
    margin: 20px auto;
    padding: 10px 20px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

button:hover {
    background-color: #0056b3;
}

.inner-frame {
    margin-top: 13%; /* 上の余白 */
    margin-bottom: 5%; /* 下の余白 */
}

.seats{
    background-color: #007bff;
}

input {
    margin-left: 20px;
	width: 120px;
    padding: 0.7% ;
	border: 1px solid #1b2538;
	border-radius: 4px;
	color: #1b2538;
	font-size: 1.4rem;
	transition: all ease-in-out 0.3s;
	&::-webkit-input-placeholder {
		color: #aaa;
	}
	&::placeholder {
		color: #aaa;
	}
}
input:focus {
	border: 1px solid #00a5a0;
	outline: none;
	box-shadow: 0 0 5px 3px #00a5a0;
}


input[type="number"]::-webkit-outer-spin-button, 
input[type="number"]::-webkit-inner-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
} 

input[type="number"] { 
  -moz-appearance:textfield; 
} 


#start-game {
    background-color: #fff;
    border: solid 2px #785113;
    color: hsl(37, 95%, 24%);
    border-radius: 20px;
    padding: 10px 30px;
    text-decoration: none;
    font-size: 1em;
    box-shadow: 0 5px 0 #a58f6c;
    display: inline-block;
    transition: .3s;
    text-align: center;
  }
  #start-game:hover {
    color: #191970;
    transform: translateY(5px);
    box-shadow: 0 0 0 #191970;
  }

#container {
    display: flex;
    align-items: center;
    margin: 0 auto; /* 水平方向の中央に配置 */
    width: 650px;
}

#frequency-table {
    margin: 20px auto;
    width: 95%; /* 表の幅を調整してフレームに収める */
    max-width: 850px;
    text-align: center;
    border-collapse: collapse;
    height: 250px;
}

#frequency-table th, #frequency-table td {
    padding: 8px; /* セルの内側の余白を少し狭める */
    border: 1px solid #333;
}

canvas {
    margin: 20px auto;
    display: block;
    max-width: 90%; /* ヒストグラムの幅を調整してフレームに収める */
    height: auto; /* 高さを自動調整 */
    max-height: 300px; /* 最大の高さを設定 */
}

.inner-frame {
    margin-top: 5%; /* 上の余白を少し狭める */
    padding-bottom: 20px; /* 下に余白を追加して、全体の余白を調整 */
}

.content {
    display: flex;
    padding: 20px;
    height: 70%;
}

#left-box {
    background-color: white;
    border-radius: 10px;
    padding: 20px;
    margin-left: 20px;
    margin-right: 20px;
    width: 30%;
    border: 3px solid #333;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.1);
    text-align: center;
    min-height: 350px;
}

#left-box table {
    width: 100%;
    border-collapse: collapse;
}

#left-box th, #left-box td {
    border: 1px solid #333;
    padding: 8px;
    text-align: center;
    background-color: #ffe6cc;
}

.left-box h2 {
    font-size: 18px;
    margin-bottom: 10px;
}

#right-box {
    background-color: white;
    border-radius: 10px;
    padding: 20px;
    margin-left: 20px;
    margin-right: 20px;
    width: 70%;
    border: 3px solid #333;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.1);
    text-align: center;
    min-height: 350px;
}


.right-box-canvas {
    width: 100%;
    height: auto;
}

#histogramChart {
    width: 800px;
}